# Machine report

> Documentation for Machine report

Get a list of machines under the provided account service ID (ASID).

```plaintext
https://api.multiplay.co.uk/cfp/v4/machines/views/report
```

| **METHOD** |
| ---------- |
| GET        |

## Request parameters

| **VARIABLE**     | **DESCRIPTION**                                                                                                                                                                                            | **OPTIONAL** |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| accountServiceId | The `<accountserviceid>` parameter accepts an account service ID (ASID) associated with the specified resource. The credentials in the request header must have access to the ASID to perform the request. | No           |
| limit            | The `<limit>` parameter accepts an integer representing the number of results to return. By default, the number of results returned is 100. You can specify a value up to 20,000.                          | Yes          |

## Response fields

This endpoint returns an array of the following objects.

| Field                 | Type    | Description                            | Optional |
| --------------------- | ------- | -------------------------------------- | -------- |
| ip                    | string  | IP address of the machine              | No       |
| locationname          | string  | Name of the location of this machine   | No       |
| machinecontractlength | int     | Initial contract length in months      | No       |
| machineenddate        | string  | Estimated original contract end date   | No       |
| machineid             | integer | ID of the machine                      | No       |
| machinestartdate      | string  | Estimated original contract start date | No       |

## Example request

```bash
curl --location --request GET "https://api.multiplay.co.uk/cfp/v4/machines/views/report?accountServiceId=<accountserviceid>&limit=<limit>" \
--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
```

## Example response

```plaintext
[
    {
        "ip": <ip>,
        "locationName": <locationname>,
        "machineContractLength": <machinecontractlength>,
        "machineEndDate": <machineenddate>,
        "machineId": <machineid>,
        "machineStartDate": <machinestartdate>
    },
    ...
]
```
